Bug 241100 - Reproduceable kernel panic in e1000 driver with latest 2.6.21-1.3175.fc7
Reproduceable kernel panic in e1000 driver with latest 2.6.21-1.3175.fc7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 02:10 EDT by Robert Brown
Modified: 2008-01-08 18:10 EST (History)
0 users

See Also:
Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 18:10:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Brown 2007-05-24 02:10:41 EDT
Description of problem:

System: Fedora Core 7 test 4, latest patches. Default kernel 2.6.21-1.3175.fc7
installed.

Problem: Intel e1000 network driver kernel panics either upon initial bootup or
on soft reboot. Can be reproduced every time. Hang happens when the system runs
/etc/init.d/network start and not upon initial driver load. Kernel module e1000
loads successfully. Machine can be booted by using interactive mode and
bypassing eth0 initialization rc script. Manual "ifconfig eth0 up" hangs with
this error if that is run after booting the system. I tried it both with cable
plugged in to the switch and with no cable plugged in and it the system crashes
in the same way every time.

Enabling or disabling ACPI in the BIOS does not seem to have any impact. It
still locks with the same symptoms, same function calls in the trace.

In the BIOS Power Management -> IRQ/Event Activity Detect -> PCI Master was off.
I turned it on and no change in behavior. Same lock.

In the BIOS Power Management -> IRQ/Event Activity Detect -> IRQs Activity
Monitoring -> Primary INTR was on and I turned it off. Same lock.

I can't see any other relevant BIOS settings but I thought I'd pass this info along.

Thinking perhaps the issue was fixed by a later e1000 driver patch, I also
manually compiled the latest 7.5.5 driver from sourceforge:
http://sourceforge.net/projects/e1000

When I rmmod the default Fedora kernel driver and insmod the one I built from
the above e1000 project page, I still have the same resulting crash with the
same trace information upon "ifconfig eth1 up". 



Environment: Connected via new manufactured CAT6 cable to a Cisco 2950 10/100
switch, port is configured for auto/auto negotiation as is the network card.
Lock happens regardless of whether cable/switch is connected to the card.

DMESG identifier messages on driver load:
e1000: 0000:00:08.0: e1000_probe: (PCI:33MHz:32-bit) 00:0e:0c:d8:69:ab
e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection

Panic message is:

<lots of stuff I can't capture yet due to lack of serial cable>
Call Trace:
  [<c042290d>] run_rebalance_domains+0x6a/0x332
  [<c05a62d1>] net_rx_action+0x94/0x185
  [<c042b505>] __do_softirq+0x59/0xb1
  [<c04071b7>] local_bh_enable_ip+0x35/0x40
  [<c042b371>] dev_open+0x44/0x62
  [<c05a42c1>] dev_change_flags+0x47/0xe4
  [<c05e121b>] devnet_ioctl+0x250/0x56a
  [<c04e8b30>] copy_to_user+0x3c/0x50
  [<c059b293>] sock_ioctl+0x1a2/0x1c1
  [<c059b0f1>] sock_ioctl+0x0/0x1c1
  [<c048044f>] do_ioctl+0x1f/0x62
  [<c04806d6>] vfs_ioctl+0x244/0x256
  [<c0480734>] sys_ioctl+0x4c/0x64
  [<c0404f70>] syscall_call+0x7/0xb
  [<c0600000>] wext_handle_ioctl+0x1bd/0x370
=================
Code: 00 00 00 01 00 e9 91 fe ff ff 8b 96 e4 00 00 00 bf a0 0f 00 00 e9 ec fe ff
ff b8 c4 00 00 00 e8 ad 47 00 00 89 c1 e9 0a ff ff ff <0f> 0b eb fe 66 90 83 ec
0c 89 1c 24 8d 98 00 05 00 00 89 74 24
EIP: [<f8e14bea>] e1000_clean+0x33a/0x340 [e1000] SS:ESP 0068:c0762f94
Kernel panic - not syncing: Fatal exception in  interrupt


===========================

Motherboard: Biostar U8668-D v7.X, latest BIOS (U8668R41, 4/7/2006)
http://www.biostar.com.tw/products/mainboard/board.php?name=U8668-D%20v7.x

CPU:  Intel Pentium 4 2.8 Northwood 2.8GHz 512KB L2 Cache Socket 478 Processor
No overclocking now or ever. 
Part #RK80532PE072512

Memory:  Kingston 1GB 184-Pin DDR SDRAM DDR 266 (PC 2100)
Part # 	KVR266X64C2/1G

Network Card: Intel PWLA8391GT
Using 33MHz PCI slot (only PCI card in the system)

============================

Complete DMESG output, note that eth0 is the on-board chip. eth1 is the PCI
Intel gigabit card that is having the issues. I stopped it from starting the
network rc script so I could capture this.


Linux version 2.6.21-1.3175.fc7 (kojibuilder@xenbuilder4.fedora.phx.redhat.com) 
(gcc version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP Mon May 21 11:35:59 EDT 2
007
BIOS-provided physical RAM map:
sanitize start
sanitize end
copy_e820_map() start: 0000000000000000 size: 000000000009fc00 end: 000000000009
fc00 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000000009fc00 size: 0000000000000400 end: 00000000000a
0000 type: 2
copy_e820_map() start: 00000000000f0000 size: 0000000000010000 end: 000000000010
0000 type: 2
copy_e820_map() start: 0000000000100000 size: 000000007f6f0000 end: 000000007f7f
0000 type: 1
copy_e820_map() type is E820_RAM
copy_e820_map() start: 000000007f7f0000 size: 0000000000003000 end: 000000007f7f
3000 type: 4
copy_e820_map() start: 000000007f7f3000 size: 000000000000d000 end: 000000007f80
0000 type: 3
copy_e820_map() start: 00000000fec00000 size: 0000000001400000 end: 000000010000
0000 type: 2
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007f7f0000 (usable)
 BIOS-e820: 000000007f7f0000 - 000000007f7f3000 (ACPI NVS)
 BIOS-e820: 000000007f7f3000 - 000000007f800000 (ACPI data)
 BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
1143MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000f5520
Using x86 segment limits to approximate NX protection
Entering add_active_range(0, 0, 522224) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   229376
  HighMem    229376 ->   522224
early_node_map[1] active PFN ranges
    0:        0 ->   522224
On node 0 totalpages: 522224
  DMA zone: 40 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4056 pages, LIFO batch:0
  Normal zone: 2200 pages used for memmap
  Normal zone: 223080 pages, LIFO batch:31
  HighMem zone: 2859 pages used for memmap
  HighMem zone: 289989 pages, LIFO batch:31
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP 000F6D50, 0014 (r0 VIAP4X)
ACPI: RSDT 7F7F3000, 002C (r1 VIAP4X AWRDACPI 42302E31 AWRD        0)
ACPI: FACP 7F7F3040, 0074 (r1 VIAP4X AWRDACPI 42302E31 AWRD        0)
ACPI: DSDT 7F7F30C0, 54B0 (r1 VIAP4X AWRDACPI     1000 MSFT  100000D)
ACPI: FACS 7F7F0000, 0040
ACPI: APIC 7F7F8580, 005C (r1 VIAP4X AWRDACPI 42302E31 AWRD        0)
ACPI: PM-Timer IO Port: 0x408
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 15:2 APIC version 20
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] disabled)
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 3, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 80000000 (gap: 7f800000:7f400000)
Built 1 zonelists.  Total pages: 517125
Kernel command line: ro root=/dev/VolGroup00/LogVol00
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c0782000 soft=c0762000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Detected 2806.547 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 2058608k/2088896k available (2079k kernel code, 29052k reserved, 1103k d
ata, 240k init, 1171392k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xf8800000 - 0xff7fe000   ( 111 MB)
    lowmem  : 0xc0000000 - 0xf8000000   ( 896 MB)
      .init : 0xc0721000 - 0xc075d000   ( 240 kB)
      .data : 0xc0607dc7 - 0xc071bcb4   (1103 kB)
      .text : 0xc0400000 - 0xc0607dc7   (2079 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 5617.43 BogoMIPS (lpj=2808716)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000 00004400 
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Hyper-Threading is disabled
CPU: After all inits, caps: bfebf3ff 00000000 00000000 00003080 00004400 0000000
0 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU0: Thermal monitoring enabled
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 12k freed
ACPI: Core revision 20070126
CPU0: Intel(R) Pentium(R) 4 CPU 2.80GHz stepping 09
Total of 1 processors activated (5617.43 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
Brought up 1 CPUs
sizeof(vma)=84 bytes
sizeof(page)=40 bytes
sizeof(inode)=420 bytes
sizeof(dentry)=144 bytes
sizeof(ext3inode)=596 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=176 bytes
sizeof(task_struct)=1408 bytes
Time: 23:04:44  Date: 04/22/107
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfb3a0, last bus=1
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 0400-047f claimed by vt8235 PM
PCI quirk: region 0500-050f claimed by vt8235 SMB
Boot video device is 0000:01:00.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 6 7 10 *11 12)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNK1] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [ALKA] (IRQs *20), disabled.
ACPI: PCI Interrupt Link [ALKB] (IRQs *21), disabled.
ACPI: PCI Interrupt Link [ALKC] (IRQs *22), disabled.
ACPI: PCI Interrupt Link [ALKD] (IRQs *23)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 12 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
pnp: 00:00: iomem range 0xcd000-0xcffff has been reserved
Time: tsc clocksource has been installed.
pnp: 00:00: iomem range 0xf0000-0xf7fff could not be reserved
pnp: 00:00: iomem range 0xf8000-0xfbfff could not be reserved
pnp: 00:00: iomem range 0xfc000-0xfffff could not be reserved
pnp: 00:02: ioport range 0x400-0x47f has been reserved
pnp: 00:02: ioport range 0x500-0x50f has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: e8000000-e9ffffff
  PREFETCH window: e0000000-e7ffffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 9, 3145728 bytes)
TCP bind hash table entries: 65536 (order: 8, 1310720 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 3451k freed
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1179875084.169:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key 5FA80F9AE132683E
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Fan [FAN] (on)
ACPI Exception (processor_core-0783): AE_NOT_FOUND, Processor Device is not pres
ent [20070126]
ACPI: Thermal Zone [THRM] (40 C)
isapnp: Scanning for PnP cards...
Switched to high resolution mode on CPU 0
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.102 (c) Dave Jones
agpgart: Detected VIA P4M266x/P4N266 chipset
agpgart: AGP aperture is 4M @ 0xeb000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input1
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
  Magic number: 7:600:100
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 240k freed
Write protecting the kernel read-only data: 826k
USB Universal Host Controller Interface driver v3.0
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
SCSI subsystem initialized
libata version 2.20 loaded.
pata_via 0000:00:11.1: version 0.2.1
ACPI: PCI Interrupt Link [ALKA] disabled and referenced, BIOS bug
ACPI: PCI Interrupt Link [ALKA] enabled at IRQ 20
ACPI: PCI Interrupt 0000:00:11.1[A] -> Link [ALKA] -> GSI 20 (level, low) -> IRQ
 16
ata1: PATA max UDMA/133 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x0001e000 irq 14
ata2: PATA max UDMA/133 cmd 0x00010170 ctl 0x00010376 bmdma 0x0001e008 irq 15
scsi0 : pata_via
ata1.00: ata_hpa_resize 1: sectors = 390721968, hpa_sectors = 390721968
ata1.00: ATA-6: WDC WD2000JB-00EVA0, 15.05R15, max UDMA/100
ata1.00: 390721968 sectors, multi 16: LBA48 
ata1.00: ata_hpa_resize 1: sectors = 390721968, hpa_sectors = 390721968
ata1.00: configured for UDMA/100
scsi1 : pata_via
input: ImPS/2 Generic Wheel Mouse as /class/input/input2
ata2.00: ATAPI, max UDMA/33
ata2.00: configured for UDMA/33
scsi 0:0:0:0: Direct-Access     ATA      WDC WD2000JB-00E 15.0 PQ: 0 ANSI: 5
SCSI device sda: 390721968 512-byte hdwr sectors (200050 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO 
or FUA
SCSI device sda: 390721968 512-byte hdwr sectors (200050 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO 
or FUA
 sda: sda1 sda2
sd 0:0:0:0: Attached scsi disk sda
scsi 1:0:0:0: CD-ROM            TOSHIBA  CD-ROM XM-6702B  1007 PQ: 0 ANSI: 5
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
audit(1179875092.168:2): selinux=0 auid=4294967295
input: PC Speaker as /class/input/input3
sd 0:0:0:0: Attached scsi generic sg0 type 0
scsi 1:0:0:0: Attached scsi generic sg1 type 5
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
via-rhine.c:v1.10-LK1.4.3 2007-03-06 Written by Donald Becker
via-rhine: Broken BIOS detected, avoid_D3 enabled.
ACPI: PCI Interrupt Link [ALKD] enabled at IRQ 23
ACPI: PCI Interrupt 0000:00:12.0[A] -> Link [ALKD] -> GSI 23 (level, low) -> IRQ
 17
eth0: VIA Rhine II at 0xeb441000, 00:11:5b:a8:af:0a, IRQ 17.
eth0: MII PHY found at address 1, status 0x7869 advertising 05e1 Link 41e1.
NET: Registered protocol family 23
Intel(R) PRO/1000 Network Driver - version 7.5.5-NAPI
Copyright (c) 1999-2007 Intel Corporation.
ACPI: PCI Interrupt 0000:00:08.0[A] -> GSI 16 (level, low) -> IRQ 18
e1000: 0000:00:08.0: e1000_probe: (PCI:33MHz:32-bit) 00:0e:0c:d8:69:ab
e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
sr0: scsi3-mmc drive: 48x/48x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
loop: loaded (max 8 devices)
sonypi: Sony Programmable I/O Controller Driver v1.26.
No dock devices found.
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input5
ACPI: Power Button (CM) [PWRB]
input: Sleep Button (CM) as /class/input/input6
ACPI: Sleep Button (CM) [SLPB]
ibm_acpi: ec object not found
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2064376k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1 across:
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
loop: loaded (max 8 devices)
sonypi: Sony Programmable I/O Controller Driver v1.26.
No dock devices found.
input: Power Button (FF) as /class/input/input4
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input5
ACPI: Power Button (CM) [PWRB]
input: Sleep Button (CM) as /class/input/input6
ACPI: Sleep Button (CM) [SLPB]
ibm_acpi: ec object not found
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2064376k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1 across:
2064376k
audit(1179900320.509:3): audit_pid=1390 old=0 by auid=4294967295
it87: Found IT8705F chip at 0x290, revision 3
it87-isa 9191-0290: Detected broken BIOS defaults, disabling PWM interface
eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
ACPI: PCI interrupt for device 0000:00:08.0 disabled








Version-Release number of selected component (if applicable):


How reproducible:
Can be reproduced every time

Steps to Reproduce:
1. ifconfig eth0 up or boot system and allow it to initialize the network card
2.
3.
  
Actual results:
Panic

Expected results:
Normal bootup

Additional info:
I'm happy to provide any additional traces requested and can even enable remote
access to the system via the working onboard NIC card if it helps debug the issue.
Comment 1 Robert Brown 2007-05-24 03:16:51 EDT
I updated the kernel tonight to 3189 and it did not panic initially upon
"ifconfig eth0 up" which is improved behavior over 3175. I will continue to test
and report back tomorrow with more results on 3189. 
Comment 2 Robert Brown 2007-05-24 03:18:06 EDT
I spoke too soon - 3189 panics with a different error and trace. I'm going to
hook up a serial console and capture a full log tomorrow.
Comment 3 Robert Brown 2007-05-26 17:06:36 EDT
Ok, here's the latest. With 3189, I can ifconfig eth1 up and the interface comes
up without crashing. The new panic happens when I reboot. Here is the 3189
panic/dump messages as captured from a serial console. No users logged in to the
box, only up for a few minutes, reboot happens via the 'reboot' command, and the
eth1 interface was ifconfigged as up but had no IP address or traffic on it.


Stopping auditd: audit(1180212923.630:92): audit_pid=0 old=1315 by auid=42949672
95
[  OK  ]
Stopping named: BUG: warning at kernel/softirq.c:138/local_bh_enable() (Not tain
ted)
 [<c042b2ef>] local_bh_enable+0x45/0x92
 [<c06036b7>] cond_resched_softirq+0x2c/0x42
 [<c059d5d0>] release_sock+0x54/0xa3
 [<c05c9428>] tcp_sendmsg+0x91b/0xa0c
 [<c059d6ba>] lock_sock_nested+0x9b/0xa3
 [<c05e1bb9>] inet_sendmsg+0x3b/0x45
 [<c059b992>] sock_sendmsg+0xd0/0xeb
 [<c0437265>] autoremove_wake_function+0x0/0x35
 [<c0420c4b>] enqueue_task+0x29/0x39
 [<c0420eab>] __activate_task+0x1c/0x29
 [<c0422521>] try_to_wake_up+0x3aa/0x3b4
 [<c04e88e0>] copy_from_user+0x3a/0x66
 [<c059bb3f>] sys_sendmsg+0x192/0x1f7
 [<c042adb6>] current_fs_time+0x41/0x46
 [<c048729c>] file_update_time+0x22/0x6a
 [<c047ba2f>] pipe_write+0x393/0x3ec
 [<c0460169>] activate_page+0x61/0x85
 [<c0604b6d>] _spin_unlock_irq+0x5/0x7
 [<c0460300>] mark_page_accessed+0x1c/0x30
 [<c045c464>] filemap_nopage+0x18b/0x319
 [<c0476035>] do_sync_write+0xc7/0x10a
 [<c04655a1>] __handle_mm_fault+0x8d9/0x8fb
 [<c0437265>] autoremove_wake_function+0x0/0x35
 [<c059cd17>] sys_socketcall+0x240/0x261
 [<c0404f70>] syscall_call+0x7/0xb
 =======================


Here is another 3189 panic when rebooting from a different boot session:
Stopping auditd: audit(1180213339.220:43): audit_pid=0 old=1319 by auid=42949672
95
[  OK  ]
Stopping named: BUG: warning at kernel/softirq.c:138/local_bh_enable() (Not tain
ted)
 [<c042b2ef>] local_bh_enable+0x45/0x92
 [<c06036b7>] cond_resched_softirq+0x2c/0x42
 [<c059d5d0>] release_sock+0x54/0xa3
 [<c05c9428>] tcp_sendmsg+0x91b/0xa0c
 [<c059d6ba>] lock_sock_nested+0x9b/0xa3
 [<c05e1bb9>] inet_sendmsg+0x3b/0x45
 [<c059b992>] sock_sendmsg+0xd0/0xeb
 [<c0437265>] autoremove_wake_function+0x0/0x35
 [<c0420c4b>] enqueue_task+0x29/0x39
 [<c0420eab>] __activate_task+0x1c/0x29
 [<c0422521>] try_to_wake_up+0x3aa/0x3b4
 [<c04e88e0>] copy_from_user+0x3a/0x66
 [<c059bb3f>] sys_sendmsg+0x192/0x1f7
 [<c042adb6>] current_fs_time+0x41/0x46
 [<c048729c>] file_update_time+0x22/0x6a
 [<c047ba2f>] pipe_write+0x393/0x3ec
 [<c0460169>] activate_page+0x61/0x85
 [<c0604b6d>] _spin_unlock_irq+0x5/0x7
 [<c0460300>] mark_page_accessed+0x1c/0x30
 [<c045c464>] filemap_nopage+0x18b/0x319
 [<c0476035>] do_sync_write+0xc7/0x10a
 [<c04655a1>] __handle_mm_fault+0x8d9/0x8fb
 [<c0437265>] autoremove_wake_function+0x0/0x35
 [<c059cd17>] sys_socketcall+0x240/0x261
 [<c0404f70>] syscall_call+0x7/0xb
 =======================
Comment 4 Robert Brown 2007-05-26 17:13:46 EDT
I booted back to the 3175 kernel to capture that log file. This is a serial
console capture from 3175. I boot to normal runlevel without allowing the OS to
configure the e1000 interface so it loads the module but stays down. After
logging in, I run an ifconfig eth1 up and this is the panic I get every time:

[root@sloth ~]# ifconfig eth1 up
------------[ cut here ]------------
kernel BUG at include/linux/netdevice.h:898!
invalid opcode: 0000 [#1]
SMP 
last sysfs file: /devices/platform/i2c-9191/9191-0290/temp3_type
Modules linked in: it87 hwmon_vid hwmon eeprom i2c_isa video sbs i2c_ec button d
ock battery ac loop sr_mod cdrom i2c_prosavage i2c_algo_bit e1000(U) via_rhine v
ia_ircc mii irda crc_ccitt i2c_viapro i2c_core pcspkr floppy sg dm_snapshot dm_z
ero dm_mirror dm_mod pata_via ata_generic libata sd_mod scsi_mod ext3 jbd mbcach
e ehci_hcd ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<f8c0cbea>]    Not tainted VLI
EFLAGS: 00210046   (2.6.21-1.3175.fc7 #1)
EIP is at e1000_clean+0x33a/0x340 [e1000]
eax: 00000017   ebx: 00200246   ecx: f75bd000   edx: f89800c4
esi: f75bd500   edi: 000fa000   ebp: f75bd754   esp: c0762f94
ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Process ifconfig (pid: 1671, ti=c0762000 task=f75ec730 task.ti=f6844000)
Stack: c042290d c2402080 26294061 c0762fd4 f75bd000 c0762fa8 00000001 0000012c 
       00000040 00000000 f75bd000 00000000 c2402b20 c2402b00 c05a62d1 fffcb206 
       0000012c 00000001 c0711b18 0000000a 00000000 c042b505 f6844ea0 f6844000 
Call Trace:
 [<c042290d>] run_rebalance_domains+0x6a/0x332
 [<c05a62d1>] net_rx_action+0x94/0x185
 [<c042b505>] __do_softirq+0x5d/0xba
 [<c04071b7>] do_softirq+0x59/0xb1
 [<c042b371>] local_bh_enable_ip+0x35/0x40
 [<c05a589b>] dev_open+0x44/0x62
 [<c05a42c1>] dev_change_flags+0x47/0xe4
 [<c05e121b>] devinet_ioctl+0x250/0x56a
 [<c04e8b30>] copy_to_user+0x3c/0x50
 [<c059b293>] sock_ioctl+0x1a2/0x1c1
 [<c059b0f1>] sock_ioctl+0x0/0x1c1
 [<c048044f>] do_ioctl+0x1f/0x62
 [<c04806d6>] vfs_ioctl+0x244/0x256
 [<c0480734>] sys_ioctl+0x4c/0x64
 [<c0404f70>] syscall_call+0x7/0xb
 [<c0600000>] wext_handle_ioctl+0x1bd/0x370
 =======================
Code: 00 00 00 01 00 e9 91 fe ff ff 8b 96 e4 00 00 00 bf a0 0f 00 00 e9 ec fe ff
 ff b8 c4 00 00 00 e8 ad 47 00 00 89 c1 e9 0a ff ff ff <0f> 0b eb fe 66 90 83 ec
 0c 89 1c 24 8d 98 00 05 00 00 89 74 24 
EIP: [<f8c0cbea>] e1000_clean+0x33a/0x340 [e1000] SS:ESP 0068:c0762f94
Kernel panic - not syncing: Fatal exception in interrupt
Comment 5 Robert Brown 2007-05-26 17:35:26 EDT
I upgraded the kernel to 3194 and also installed the debug kernel in case it
provides more information. The e1000 panic seems to have gone away, but the
other one is still present. Here's a dump that only happens upon reboot:

Stopping named: BUG: warning at kernel/softirq.c:138/local_bh_enable() (Tainted:
 G   M  )
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c042cc5b>] local_bh_enable+0x9e/0x128
 [<c06163f4>] cond_resched_softirq+0x2c/0x42
 [<c05aeb62>] release_sock+0x68/0xbb
 [<c05db6ae>] tcp_sendmsg+0x91c/0xa08
 [<c05f4246>] inet_sendmsg+0x3e/0x49
 [<c05ad157>] sock_sendmsg+0xe7/0x104
 [<c05ad2c5>] sys_sendmsg+0x151/0x1af
 [<c05ae2c1>] sys_socketcall+0x220/0x241
 [<c0405078>] syscall_call+0x7/0xb
 =======================
Comment 6 Auke Kok 2007-05-29 11:30:08 EDT
Several patches have gone by regarding a misplaced/missing netif_poll_enable()
call since thursday. These should be merged upstream within a few more days.
look for a change to e1000_main.c from Herbert Xu.
Comment 7 Jesse Brandeburg 2008-01-08 17:50:54 EST
is this issue still open?  Comment #6 refers to a fix we believe addresses this
issue.
Comment 8 Robert Brown 2008-01-08 18:03:16 EST
My system has not crashed since the Fedora Core 7 final kernel was installed.
I'm on 198 days of uptime on  2.6.21-1.3228.fc7 #1 SMP with no further panics or
issues.

Note You need to log in before you can comment on or make changes to this bug.